Auteur Topic: Zijn allel geïnstalleerde versie van PHP en Python nodig?  (gelezen 536 keer)

Offline WimDictus

  • Bedankjes
  • -Gegeven: 0
  • -Ontvangen: 0
  • Berichten: 11
Zijn allel geïnstalleerde versie van PHP en Python nodig?
« Gepost op: 25 februari 2024, 16:19:30 »
Op mijn Synology DS920+ zie ik meerdere versie van zowel PHP als van Python staan. Ik vraag me af of die oudere versies wel gebruikt worden en of ik die niet beter kan verwijderen.

Heeft iemand hier een goed antwoord op?

Bij voorbaat dank!
  • Mijn Synology: DS920+
  • HDD's: 4x WD Red 4Tb

Offline Birdy

  • Global Moderator
  • MVP
  • *
  • Bedankjes
  • -Gegeven: 1340
  • -Ontvangen: 7802
  • Berichten: 43.205
  • FIFO / LIFO
    • Truebase
Re: Zijn allel geïnstalleerde versie van PHP en Python nodig?
« Reactie #1 Gepost op: 25 februari 2024, 16:29:24 »
Als een app in gebruik is door een toepassing/app en je gaat deze verwijderen, dan krijg je daar een melding over en is niet te verwijderen.
Dus, zorg ervoor dat je alle apps die je hebt geïnstalleerd ook zijn gestart en probeer dan PHP/Python van oude naar nieuwe versie te verwijderen.


CS406      DSM 2.0-0731    DS508      DSM 4.0-2265      DS411+II  DSM 6.2.4-25556-7   DS115J    DSM 7.1.1-42962-5   DS918+    DSM 6.2.4-25556-7
DS107+     DSM 3.1-1639    DS411slim  DSM 6.2.4-25556   DS213J    DSM 6.2.3-25426-2   DS1515+   DSM 6.2.4-25556-7   DS220+    DSM 7.2.1-69057-3
DS107+     DSM 3.1-1639    DS111      DSM 5.2-5967-9    DS413J    DSM 6.2.3-25426-2   DS716+II  DSM 6.2.4-25556-7   RT2600ac  SRM 1.2.5-8227-11
BeeDrive   1TB             BeeStation BSM 1.0-65162                                                                 MR2200ac  SRM 1.2.5-8227-11

Offline Birdy

  • Global Moderator
  • MVP
  • *
  • Bedankjes
  • -Gegeven: 1340
  • -Ontvangen: 7802
  • Berichten: 43.205
  • FIFO / LIFO
    • Truebase
Re: Zijn allel geïnstalleerde versie van PHP en Python nodig?
« Reactie #2 Gepost op: 25 februari 2024, 16:34:39 »
Of je krijgt de melding dat de app die daar van afhankelijk is, ook wordt verwijderd (ligt er aan welke DSM versie je draait.

Maar goed, je krijgt uiteindelijk een melding.


CS406      DSM 2.0-0731    DS508      DSM 4.0-2265      DS411+II  DSM 6.2.4-25556-7   DS115J    DSM 7.1.1-42962-5   DS918+    DSM 6.2.4-25556-7
DS107+     DSM 3.1-1639    DS411slim  DSM 6.2.4-25556   DS213J    DSM 6.2.3-25426-2   DS1515+   DSM 6.2.4-25556-7   DS220+    DSM 7.2.1-69057-3
DS107+     DSM 3.1-1639    DS111      DSM 5.2-5967-9    DS413J    DSM 6.2.3-25426-2   DS716+II  DSM 6.2.4-25556-7   RT2600ac  SRM 1.2.5-8227-11
BeeDrive   1TB             BeeStation BSM 1.0-65162                                                                 MR2200ac  SRM 1.2.5-8227-11

Offline WimDictus

  • Bedankjes
  • -Gegeven: 0
  • -Ontvangen: 0
  • Berichten: 11
Re: Zijn allel geïnstalleerde versie van PHP en Python nodig?
« Reactie #3 Gepost op: 25 februari 2024, 17:03:25 »
Ik gebruik DSM 7.2.1

Voorbeeld:
- Python 2 kan ik niet verwijderen
- Python 3.1 zou ik wel kunnen verwijderen.... maar ik ben bang dat ik dan schade aanricht.
- Python 3.2 staat ook geïnstalleerd.

Advies?
  • Mijn Synology: DS920+
  • HDD's: 4x WD Red 4Tb

Offline Birdy

  • Global Moderator
  • MVP
  • *
  • Bedankjes
  • -Gegeven: 1340
  • -Ontvangen: 7802
  • Berichten: 43.205
  • FIFO / LIFO
    • Truebase
Re: Zijn allel geïnstalleerde versie van PHP en Python nodig?
« Reactie #4 Gepost op: 25 februari 2024, 17:05:16 »
Advies heb ik toch al gegeven ?


CS406      DSM 2.0-0731    DS508      DSM 4.0-2265      DS411+II  DSM 6.2.4-25556-7   DS115J    DSM 7.1.1-42962-5   DS918+    DSM 6.2.4-25556-7
DS107+     DSM 3.1-1639    DS411slim  DSM 6.2.4-25556   DS213J    DSM 6.2.3-25426-2   DS1515+   DSM 6.2.4-25556-7   DS220+    DSM 7.2.1-69057-3
DS107+     DSM 3.1-1639    DS111      DSM 5.2-5967-9    DS413J    DSM 6.2.3-25426-2   DS716+II  DSM 6.2.4-25556-7   RT2600ac  SRM 1.2.5-8227-11
BeeDrive   1TB             BeeStation BSM 1.0-65162                                                                 MR2200ac  SRM 1.2.5-8227-11

Offline WimDictus

  • Bedankjes
  • -Gegeven: 0
  • -Ontvangen: 0
  • Berichten: 11
Re: Zijn allel geïnstalleerde versie van PHP en Python nodig?
« Reactie #5 Gepost op: 25 februari 2024, 17:33:41 »
Klopt. Bedankt. Ik heb e.a. verwijderd volgens advies hierboven. Afwachten of alles nog blijft werken.

  • Mijn Synology: DS920+
  • HDD's: 4x WD Red 4Tb

Offline bartmans99

  • MVP
  • *
  • Bedankjes
  • -Gegeven: 19
  • -Ontvangen: 87
  • Berichten: 681
    • http://www.jvwgoirle.nl
Re: Zijn allel geïnstalleerde versie van PHP en Python nodig?
« Reactie #6 Gepost op: 26 februari 2024, 08:20:27 »
Geen antwoord op de vraag maar observatie.

Veel van dit soort pakketten krijg je als afhankelijkheid mee bij andere pakketten. Als je die pakketten als Docker container draait gebeurt dat niet.

Bv. PhpMyAdmin gebruikt oudere versie PHP. Kun je dus niet verwijderen als je PMA als package gebruikt. Draai je Mariadb+PMA in een Docker kan dat wel. Met als bonus dat Mariadb als Docker sneller draait dan als package. En je keuze hebt tussen welke Mariadb versie.

Idem voor Transmission, SABnzbd.



 

DS Photo herkent geen JPG's meer die ge-exporteerd zijn vanuit LRC (2021)

Gestart door GerbrandyBoard Android Apps

Reacties: 14
Gelezen: 2251
Laatste bericht 17 april 2021, 12:28:48
door Gerbrandy
Externe HDDs backupen die aangesloten zijn op een MAC

Gestart door dannycnlBoard Externe harddisks en Printers

Reacties: 2
Gelezen: 1655
Laatste bericht 19 juni 2013, 11:13:00
door dannycnl
Autosub Waarom zijn veel bestanden 'not iterable'

Gestart door TonyFeestneusBoard Auto-Sub

Reacties: 13
Gelezen: 3291
Laatste bericht 14 maart 2017, 19:28:43
door TonyFeestneus
EZ geeft aan dat er twee routers aanwezig zijn??

Gestart door Berry74Board DDNS / Quick Connect / EZ-Internet / Portforwarding

Reacties: 61
Gelezen: 20604
Laatste bericht 29 juni 2015, 12:07:36
door Briolet
Kan geen verbinding krijgen ondanks dat VPN server zegt verbonden te zijn

Gestart door rvldjBoard VPN Server

Reacties: 4
Gelezen: 1184
Laatste bericht 21 september 2021, 20:41:02
door Babylonia